Package org.benf.cfr.reader.api

# Interface OutputSinkFactory.Sink<T>

Enclosing interface:
  `OutputSinkFactory`

public static interface OutputSinkFactory.Sink<T>
NB Sink as opposed to a stream, means that implementor has the choice of when to close.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `write(T sinkable)`
  Consume a message.

- ## Method Details

  - ### write

    void write(T sinkable)
    Consume a message. (Basically, sink is Consumer<T>, if it existed back in j6 land...
    Parameters:
      `sinkable` - message. This will be of the type specified when creating the sink.